package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Log Notification Webhook Config (This config applies to the Omada Pro Controller only)
 */
@ApiModel(description = "Log Notification Webhook Config (This config applies to the Omada Pro Controller only)")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:45:56.254+08:00[Asia/Shanghai]")

public class WebhookConfigOpenApiVo   {
  @JsonProperty("webhookEnable")
  private Boolean webhookEnable;

  @JsonProperty("webhookId")
  private String webhookId;

  public WebhookConfigOpenApiVo webhookEnable(Boolean webhookEnable) {
    this.webhookEnable = webhookEnable;
    return this;
  }

  /**
   * Audit or Omada Log Notification Enable for Disable Webhook
   * @return webhookEnable
  */
  @ApiModelProperty(value = "Audit or Omada Log Notification Enable for Disable Webhook")


  public Boolean getWebhookEnable() {
    return webhookEnable;
  }

  public void setWebhookEnable(Boolean webhookEnable) {
    this.webhookEnable = webhookEnable;
  }

  public WebhookConfigOpenApiVo webhookId(String webhookId) {
    this.webhookId = webhookId;
    return this;
  }

  /**
   * Webhook ID
   * @return webhookId
  */
  @ApiModelProperty(value = "Webhook ID")


  public String getWebhookId() {
    return webhookId;
  }

  public void setWebhookId(String webhookId) {
    this.webhookId = webhookId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WebhookConfigOpenApiVo webhookConfigOpenApiVo = (WebhookConfigOpenApiVo) o;
    return Objects.equals(this.webhookEnable, webhookConfigOpenApiVo.webhookEnable) &&
        Objects.equals(this.webhookId, webhookConfigOpenApiVo.webhookId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(webhookEnable, webhookId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WebhookConfigOpenApiVo {\n");
    
    sb.append("    webhookEnable: ").append(toIndentedString(webhookEnable)).append("\n");
    sb.append("    webhookId: ").append(toIndentedString(webhookId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

